Subject: bug#18592: FFI should have portable access to ‘errno’

From: Nala Ginrut <[email-masked]>
Date: Tue, 05 Jan 2016 16:38:43 +0800

On Tue, 2016-01-05 at 08:49 +0100, [email-masked] wrote:
> Sorry for intervening from the peanut gallery, but if I understood Mark
> correctly, he only was proposing to introduce a second function for the
> C API (to keep backward compatibility at the linking-to-C level). At the
> Guile source level, I guess all can be subsumed under one function.
> 

If we want to combine them in Scheme level, we have to change the name
"pointer->procedure" in  C level, since it's registered with SCM_DEFINE.
Dunno if it breaks the ABI too.

I think it's fine to make it two. And maybe keep
pointer->procedure-with-errno in future version (say, 3.0), which may
change ABI a lot. It's inevitable to change ABI in major version number
change usually.